Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010523Dwarf FortressDwarf Mode -- Visitorspublic2018-01-14 12:562018-02-14 17:08
ReporterOrkel 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformPCOSWindows OS Version10
Product Version0.44.04 
Target VersionFixed in VersionNext Version 
Summary0010523: Visitors not leaving fort, visitor cap not respected again.
DescriptionI have had the same visitors in my fort for years. They are not leaving, and more keep piling in. I currently have 20 visitors in my fort, when my cap is set to 10.

The only way that visitors "leave" are by dying of alcohol poisoning, or dying by tavern brawls.

Note that this applies to soldier visitors, aka questers/mercenaries only. I have seen scholars leave after some time. It's just these soldiers that stay in my tavern for years and years.

Save: http://dffd.bay12games.com/file.php?id=13418 [^]
Steps To ReproduceNot sure if happens in every fort.
Additional InformationVery slightly modded material properties (like leather strength, whip nerf, no aquifers or cave adaptation etc).
TagsNo tags attached.
Attached Files

- Relationships
related to 0003027resolvedToady One Diplomats not holding meetings 
related to 0010404resolvedLoci Game doesn't respect visitor cap 

-  Notes
(0037614)
Orkel (reporter)
2018-01-14 17:48

Continues to happen in .05

I had the same bunch of questers (artifact information seekers) in my tavern for 3 years in 0.44.04. Now that 0.44.05 came out, I killed all of the questers with dfhack, ported the save to .05, then new questers arrived and they have been in my tavern for 1,5-2 years already, seemingly stuck again.

Civilian visitors like scholars, bards, etc leave just fine. It's just these questers, that never leave the fort, unless they die of alcohol poisoning or tavern brawl infections.

.05 Save of same fort: http://dffd.bay12games.com/file.php?id=13420 [^]
(0037615)
Sarmatian123 (reporter)
2018-01-15 00:54

Plain Vanilla client solution:
1. Build underground 3 levels tall mass pit 9x9 with rising to one side 9x10 bridge on bottom. You can use it later on goblins, just make sure no mud in your fortress, or pitting will malfunction.
2. Design the only non-location meeting arena (i-meeting) under this bridge on the pit's bottom and make an additional bridge as doorway to the pit's bottom.
3. Limit all locations to citizens only, so no new visitors will arrive.
4. Make sure no cats go idling on the pit's bottom, when you're enclosing it.
5. Pull the 9x10 bridge's lever. PROBLEM SOLVED!
(0037632)
lemtoad (reporter)
2018-01-15 19:25
edited on: 2018-01-15 20:07

Having the same issue. Soldiers and bards that have been here for years. 2 are looking for an artifact but the others aren't.

Edit. Fixed it. Reason they weren't leaving because the mayors I've had in the years were unable to conduct meetings.

(0037635)
Orkel (reporter)
2018-01-15 20:49
edited on: 2018-01-15 21:12

Oh! Interesting point there - how did you make the mayors conduct meetings? Mine has an office so technically it should happen?
The mayor meets fine with the outpost liaison, elven diplomats etc, but I haven't seen him use the office for meeting with visitors/questers?

Edit: Saw your post on the forums
"I replaced the current mayor with someone else and they had some meetings but then stopped too. So I did it again just now and meetings are being held again. Maybe Mayors are bugged a little."

(0037671)
lemtoad (reporter)
2018-01-18 23:35

Yep, after some more testing I have the same problem as Orkel. Civ visitors come and go but artifact seekers seem to just stay forever unable to find information.
(0037678)
Orkel (reporter)
2018-01-20 16:05

Saw this bugfix for .06, did it also fix this visitor issue?


0003027: Diplomats not holding meetings (Toady One) - resolved.
http://www.bay12games.com/dwarves/mantisbt/view.php?id=3027 [^]
(0037705)
Dwarfu (manager)
2018-01-24 19:28

Toady’s reply:
http://www.bay12forums.com/smf/index.php?topic=169139.msg7674168#msg7674168 [^]
(0037715)
Toady One (administrator)
2018-01-28 21:03

I fixed the main problem (alcohol was making people more private, not less, despite the raws, so nobody was blabbing to questers), but I'll leave this open until I figure out the visitor cap issue.

- Issue History
Date Modified Username Field Change
2018-01-14 12:56 Orkel New Issue
2018-01-14 17:48 Orkel Note Added: 0037614
2018-01-15 00:54 Sarmatian123 Note Added: 0037615
2018-01-15 19:25 lemtoad Note Added: 0037632
2018-01-15 20:07 lemtoad Note Edited: 0037632 View Revisions
2018-01-15 20:49 Orkel Note Added: 0037635
2018-01-15 20:59 Orkel Note Edited: 0037635 View Revisions
2018-01-15 21:12 Orkel Note Edited: 0037635 View Revisions
2018-01-18 23:35 lemtoad Note Added: 0037671
2018-01-20 16:05 Orkel Note Added: 0037678
2018-01-24 19:26 Dwarfu Relationship added related to 0003027
2018-01-24 19:28 Dwarfu Note Added: 0037705
2018-01-24 19:28 Dwarfu Assigned To => Dwarfu
2018-01-24 19:28 Dwarfu Status new => acknowledged
2018-01-28 21:03 Toady One Note Added: 0037715
2018-02-07 15:47 Toady One Status acknowledged => resolved
2018-02-07 15:47 Toady One Fixed in Version => Next Version
2018-02-07 15:47 Toady One Resolution open => fixed
2018-02-07 15:47 Toady One Assigned To Dwarfu => Toady One
2018-02-14 17:08 lethosor Relationship added related to 0010404


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker